# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

mailserver_menu_item = items.MenuItem(
    # GENERAL
    _('Mailserver'), 
    reverse('admin:app_list', kwargs={'app_label': 'mailserver'}),
    children=[
        items.MenuItem(
            _('Mailserver'),
            '',
            children=[
                items.MenuItem(_('Add Domain'), reverse('admin:mailserver_domain_add',)), 
                items.MenuItem(_('List domains'), reverse('admin:mailserver_domain_changelist',)),
            ]
        ),
    ]
)


register_menu(mailserver_menu_item, 'jmb.mailserver')
